---

inputType: "CA10__CaGoogleProject__c"
testData:
  - file: test-data.json
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "This Project has a default network."
    remediationMessage: "Delete the default network."
    check:
      RELATED_LIST_HAS:
        status: "INCOMPLIANT"
        relationshipName: "CA10__Google_GCE_Networks__r" 
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The Project doesn't have a default network."
relatedLists:
  - relationshipName: "CA10__Google_GCE_Networks__r"
    importExtracts:
      - file: /types/CA10__CaGoogleGceNetwork__c/object.extracts.yaml
    conditions:
      - status: "INCOMPLIANT"
        currentStateMessage: "This is a default network."
        check:
          IS_EQUAL:
            left:
              EXTRACT: networkName
            right:
              TEXT: 'default'
    otherwise:
      status: "COMPLIANT"
      currentStateMessage: "This is not a default network."